Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IPerson

All Known Subinterfaces:
  IAddressEntry, IContact, IDominoAddressEntry, IDominoContact, IExchangeAddressEntry, IExchangeContact

public interface IPerson

Represents a person in the groupware schema.

Field Summary
`static Key` | `ASSISTANT` Represents the assistant.
`static Key` | `BUSINESS_ADDRESS_CITY` Represents the business address city.
`static Key` | `BUSINESS_ADDRESS_COUNTRY` Represents the business address country.
`static Key` | `BUSINESS_ADDRESS_POSTAL_CODE` Represents the business address postal code.
`static Key` | `BUSINESS_ADDRESS_STATE` Represents the business address state or province.
`static Key` | `BUSINESS_ADDRESS_STREET` Represents the business address street.
`static Key` | `BUSINESS_FAX` Represents the business fax number.
`static Key` | `BUSINESS_PAGER` Represents the business pager.
`static Key` | `BUSINESS_PHONE` Represents the business phone number.
`static Key` | `COMPANY_NAME` Represents the company name.
`static Key` | `DEPARTMENT_NAME` Represents the department name.
`static Key` | `DISPLAY_NAME` Represents the display name.
`static Key` | `FIRST_NAME` Represents the first name.
`static Key` | `JOB_TITLE` Represents the job title.
`static int` | `KEYID_ASSISTANT` The `int` ID for the `ASSISTANT` key.
`static int` | `KEYID_BUSINESS_ADDRESS_CITY` The `int` ID for the `BUSINESS_ADDRESS_CITY` key.
`static int` | `KEYID_BUSINESS_ADDRESS_COUNTRY` The `int` ID for the `BUSINESS_ADDRESS_COUNTRY` key.
`static int` | `KEYID_BUSINESS_ADDRESS_POSTAL_CODE` The `int` ID for the `BUSINESS_ADDRESS_POSTAL_CODE` key.
`static int` | `KEYID_BUSINESS_ADDRESS_STATE` The `int` ID for the `BUSINESS_ADDRESS_STATE` key.
`static int` | `KEYID_BUSINESS_ADDRESS_STREET` The `int` ID for the `BUSINESS_ADDRESS_STREET` key.
`static int` | `KEYID_BUSINESS_FAX` The `int` ID for the `BUSINESS_FAX` key.
`static int` | `KEYID_BUSINESS_PAGER` The `int` ID for the `BUSINESS_PAGER` key.
`static int` | `KEYID_BUSINESS_PHONE` The `int` ID for the `BUSINESS_PHONE` key.
`static int` | `KEYID_COMPANY_NAME` The `int` ID for the `COMPANY_NAME` key.
`static int` | `KEYID_DEPARTMENT_NAME` The `int` ID for the `DEPARTMENT_NAME` key.
`static int` | `KEYID_DISPLAY_NAME` The `int` ID for the `DISPLAY_NAME` key.
`static int` | `KEYID_FIRST_NAME` The `int` ID for the `FIRST_NAME` key.
`static int` | `KEYID_JOB_TITLE` The `int` ID for the `JOB_TITLE` key.
`static int` | `KEYID_LAST_NAME` The `int` ID for the `LAST_NAME` key.
`static int` | `KEYID_MANAGER_NAME` The `int` ID for the `MANAGER_NAME` key.
`static int` | `KEYID_MIDDLE_NAME` The `int` ID for the `MIDDLE_NAME` key.
`static int` | `KEYID_NAME_PREFIX` The `int` ID for the `NAME_PREFIX` key.
`static int` | `KEYID_NAME_SUFFIX` The `int` ID for the `NAME_SUFFIX` key.
`static int` | `KEYID_OFFICE_LOCATION` The `int` ID for the `OFFICE_LOCATION` key.
`static int` | `KEYID_PERSONAL_ADDRESS_CITY` The `int` ID for the `PERSONAL_ADDRESS_CITY` key.
`static int` | `KEYID_PERSONAL_ADDRESS_COUNTRY` The `int` ID for the `PERSONAL_ADDRESS_COUNTRY` key.
`static int` | `KEYID_PERSONAL_ADDRESS_POSTAL_CODE` The `int` ID for the `PERSONAL_ADDRESS_POSTAL_CODE` key.
`static int` | `KEYID_PERSONAL_ADDRESS_STATE` The `int` ID for the `PERSONAL_ADDRESS_STATE` key.
`static int` | `KEYID_PERSONAL_ADDRESS_STREET` The `int` ID for the `PERSONAL_ADDRESS_STREET` key.
`static int` | `KEYID_PERSONAL_FAX` The `int` ID for the `PERSONAL_FAX` key.
`static int` | `KEYID_PERSONAL_MOBILE_PHONE` The `int` ID for the `PERSONAL_MOBILE_PHONE` key.
`static int` | `KEYID_PERSONAL_PHONE` The `int` ID for the `PERSONAL_PHONE` key.
`static int` | `KEYID_SMTP_ADDRESS` The `int` ID for the `SMTP_ADDRESS` key.
`static int` | `KEYID_WEB_PAGE` The `int` ID for the `WEB_PAGE` key.
`static Key` | `LAST_NAME` Represents the last name.
`static Key` | `MANAGER_NAME` Represents the manager name.
`static Key` | `MIDDLE_NAME` Represents the middle name.
`static Key` | `NAME_PREFIX` Represents the name prefix.
`static Key` | `NAME_SUFFIX` Represents the name suffix.
`static Key` | `OFFICE_LOCATION` Represents the office location.
`static Key` | `PERSONAL_ADDRESS_CITY` Represents the personal address city.
`static Key` | `PERSONAL_ADDRESS_COUNTRY` Represents the personal address country.
`static Key` | `PERSONAL_ADDRESS_POSTAL_CODE` Represents the personal postal code.
`static Key` | `PERSONAL_ADDRESS_STATE` Represents the personal address state or province.
`static Key` | `PERSONAL_ADDRESS_STREET` Represents the personal street address.
`static Key` | `PERSONAL_FAX` Represents the home fax number.
`static Key` | `PERSONAL_MOBILE_PHONE` Represents the personal mobile phone number.
`static Key` | `PERSONAL_PHONE` Represents the home phone number.
`static Key` | `SMTP_ADDRESS` Represents the smtp address.
`static Key` | `WEB_PAGE` Represents the web page.

Method Summary
`java.lang.String` | `getAssistant()` Gets the person's assistant.
`PostalAddress` | `getBusinessAddress()` Gets the person's business address.
`PhoneNumber` | `getBusinessFax()` Gets the person's business fax.
`PhoneNumber` | `getBusinessPager()` Gets the person's business pager.
`PhoneNumber` | `getBusinessPhone()` Gets the person's business phone.
`java.lang.String` | `getCompanyName()` Gets the person's company name.
`java.lang.String` | `getDepartmentName()` Gets the person's department name.
`java.lang.String` | `getDisplayName()` Gets the person's display name.
`java.lang.String` | `getFirstName()` Gets the person's first name.
`PhoneNumber` | `getHomeFax()` Gets the person's home fax.
`PhoneNumber` | `getHomePhone()` Gets the person's home phone.
`java.lang.String` | `getJobTitle()` Gets the person's job title.
`java.lang.String` | `getLastName()` Gets the person's last name.
`java.lang.String` | `getManagerName()` Gets the person's manager name.
`java.lang.String` | `getMiddleName()` Gets the person's middle name.
`java.lang.String` | `getNamePrefix()` Gets the person's name prefix.
`java.lang.String` | `getNameSuffix()` Gets the person's name suffix.
`java.lang.String` | `getOfficeLocation()` Gets the person's office location.
`PostalAddress` | `getPersonalAddress()` Gets the person's personal address.
`PhoneNumber` | `getPersonalMobilePhone()` Gets the person's personal mobile phone.
`java.lang.String` | `getSmtpAddress()` Gets the person's SMTP address.
`java.lang.String` | `getWebPage()` Gets the person's web page.
`void` | `setAssistant(java.lang.String sAssistant)` Sets the person's assistant.
`void` | `setBusinessAddress(PostalAddress address)` Sets the person's business address.
`void` | `setBusinessFax(PhoneNumber number)` Sets the person's business fax.
`void` | `setBusinessPager(PhoneNumber number)` Sets the person's business pager.
`void` | `setBusinessPhone(PhoneNumber number)` Sets the person's business phone.
`void` | `setCompanyName(java.lang.String sCompanyName)` Sets the person's company name.
`void` | `setDepartmentName(java.lang.String sDepartmentName)` Sets the person's department name.
`void` | `setDisplayName(java.lang.String sDisplayName)` Sets the person's display name.
`void` | `setFirstName(java.lang.String sFirstName)` Sets the person's first name.
`void` | `setHomeFax(PhoneNumber number)` Sets the person's home fax.
`void` | `setHomePhone(PhoneNumber number)` Sets the person's home phone.
`void` | `setJobTitle(java.lang.String sJobTitle)` Sets the person's job title.
`void` | `setLastName(java.lang.String sLastName)` Sets the person's last name
`void` | `setManagerName(java.lang.String sManagerName)` Sets the person's manager name.
`void` | `setMiddleName(java.lang.String sMiddleName)` Sets the person's middle name.
`void` | `setName(java.lang.String sPrefix, java.lang.String sFirstName, java.lang.String sMiddleName, java.lang.String sLastName, java.lang.String sSuffix)` Sets the full name, display name and file as property for the contact.
`void` | `setNamePrefix(java.lang.String sNamePrefix)` Sets the person's name prefix.
`void` | `setNameSuffix(java.lang.String sNameSuffix)` Sets the person's name suffix.
`void` | `setOfficeLocation(java.lang.String sOfficeLocation)` Sets the person's office location.
`void` | `setPersonalAddress(PostalAddress address)` Sets the person's personal address.
`void` | `setPersonalMobilePhone(PhoneNumber number)` Sets the person's personal mobile phone.
`void` | `setSmtpAddress(java.lang.String sSmtpAddress)` Sets the person's SMTP address.
`void` | `setWebPage(java.lang.String sWebPage)` Sets the person's web page.

Field Detail

### KEYID_ASSISTANT

    public static final int KEYID_ASSISTANT

  The `int` ID for the `ASSISTANT` key.

### KEYID_BUSINESS_ADDRESS_CITY

    public static final int KEYID_BUSINESS_ADDRESS_CITY

  The `int` ID for the `BUSINESS_ADDRESS_CITY` key.

### KEYID_BUSINESS_ADDRESS_COUNTRY

    public static final int KEYID_BUSINESS_ADDRESS_COUNTRY

  The `int` ID for the `BUSINESS_ADDRESS_COUNTRY` key.

### KEYID_BUSINESS_ADDRESS_STATE

    public static final int KEYID_BUSINESS_ADDRESS_STATE

  The `int` ID for the `BUSINESS_ADDRESS_STATE` key.

### KEYID_BUSINESS_ADDRESS_STREET

    public static final int KEYID_BUSINESS_ADDRESS_STREET

  The `int` ID for the `BUSINESS_ADDRESS_STREET` key.

### KEYID_BUSINESS_ADDRESS_POSTAL_CODE

    public static final int KEYID_BUSINESS_ADDRESS_POSTAL_CODE

  The `int` ID for the `BUSINESS_ADDRESS_POSTAL_CODE` key.

### KEYID_BUSINESS_FAX

    public static final int KEYID_BUSINESS_FAX

  The `int` ID for the `BUSINESS_FAX` key.

### KEYID_WEB_PAGE

    public static final int KEYID_WEB_PAGE

  The `int` ID for the `WEB_PAGE` key.

### KEYID_BUSINESS_PAGER

    public static final int KEYID_BUSINESS_PAGER

  The `int` ID for the `BUSINESS_PAGER` key.

### KEYID_BUSINESS_PHONE

    public static final int KEYID_BUSINESS_PHONE

  The `int` ID for the `BUSINESS_PHONE` key.

### KEYID_COMPANY_NAME

    public static final int KEYID_COMPANY_NAME

  The `int` ID for the `COMPANY_NAME` key.

### KEYID_DEPARTMENT_NAME

    public static final int KEYID_DEPARTMENT_NAME

  The `int` ID for the `DEPARTMENT_NAME` key.

### KEYID_DISPLAY_NAME

    public static final int KEYID_DISPLAY_NAME

  The `int` ID for the `DISPLAY_NAME` key.

### KEYID_FIRST_NAME

    public static final int KEYID_FIRST_NAME

  The `int` ID for the `FIRST_NAME` key.

### KEYID_PERSONAL_FAX

    public static final int KEYID_PERSONAL_FAX

  The `int` ID for the `PERSONAL_FAX` key.

### KEYID_PERSONAL_PHONE

    public static final int KEYID_PERSONAL_PHONE

  The `int` ID for the `PERSONAL_PHONE` key.

### KEYID_JOB_TITLE

    public static final int KEYID_JOB_TITLE

  The `int` ID for the `JOB_TITLE` key.

### KEYID_LAST_NAME

    public static final int KEYID_LAST_NAME

  The `int` ID for the `LAST_NAME` key.

### KEYID_MANAGER_NAME

    public static final int KEYID_MANAGER_NAME

  The `int` ID for the `MANAGER_NAME` key.

### KEYID_MIDDLE_NAME

    public static final int KEYID_MIDDLE_NAME

  The `int` ID for the `MIDDLE_NAME` key.

### KEYID_NAME_PREFIX

    public static final int KEYID_NAME_PREFIX

  The `int` ID for the `NAME_PREFIX` key.

### KEYID_NAME_SUFFIX

    public static final int KEYID_NAME_SUFFIX

  The `int` ID for the `NAME_SUFFIX` key.

### KEYID_OFFICE_LOCATION

    public static final int KEYID_OFFICE_LOCATION

  The `int` ID for the `OFFICE_LOCATION` key.

### KEYID_PERSONAL_ADDRESS_CITY

    public static final int KEYID_PERSONAL_ADDRESS_CITY

  The `int` ID for the `PERSONAL_ADDRESS_CITY` key.

### KEYID_PERSONAL_ADDRESS_COUNTRY

    public static final int KEYID_PERSONAL_ADDRESS_COUNTRY

  The `int` ID for the `PERSONAL_ADDRESS_COUNTRY` key.

### KEYID_PERSONAL_ADDRESS_STATE

    public static final int KEYID_PERSONAL_ADDRESS_STATE

  The `int` ID for the `PERSONAL_ADDRESS_STATE` key.

### KEYID_PERSONAL_ADDRESS_STREET

    public static final int KEYID_PERSONAL_ADDRESS_STREET

  The `int` ID for the `PERSONAL_ADDRESS_STREET` key.

### KEYID_PERSONAL_ADDRESS_POSTAL_CODE

    public static final int KEYID_PERSONAL_ADDRESS_POSTAL_CODE

  The `int` ID for the `PERSONAL_ADDRESS_POSTAL_CODE` key.

### KEYID_PERSONAL_MOBILE_PHONE

    public static final int KEYID_PERSONAL_MOBILE_PHONE

  The `int` ID for the `PERSONAL_MOBILE_PHONE` key.

### KEYID_SMTP_ADDRESS

    public static final int KEYID_SMTP_ADDRESS

  The `int` ID for the `SMTP_ADDRESS` key.

### ASSISTANT

    public static final Key ASSISTANT

  Represents the assistant.

### BUSINESS_ADDRESS_CITY

    public static final Key BUSINESS_ADDRESS_CITY

  Represents the business address city.

### BUSINESS_ADDRESS_COUNTRY

    public static final Key BUSINESS_ADDRESS_COUNTRY

  Represents the business address country.

### BUSINESS_ADDRESS_STATE

    public static final Key BUSINESS_ADDRESS_STATE

  Represents the business address state or province.

### BUSINESS_ADDRESS_STREET

    public static final Key BUSINESS_ADDRESS_STREET

  Represents the business address street.

### BUSINESS_ADDRESS_POSTAL_CODE

    public static final Key BUSINESS_ADDRESS_POSTAL_CODE

  Represents the business address postal code.

### BUSINESS_FAX

    public static final Key BUSINESS_FAX

  Represents the business fax number.

### BUSINESS_PAGER

    public static final Key BUSINESS_PAGER

  Represents the business pager.

### BUSINESS_PHONE

    public static final Key BUSINESS_PHONE

  Represents the business phone number.

### COMPANY_NAME

    public static final Key COMPANY_NAME

  Represents the company name.

### DEPARTMENT_NAME

    public static final Key DEPARTMENT_NAME

  Represents the department name.

### DISPLAY_NAME

    public static final Key DISPLAY_NAME

  Represents the display name.

### FIRST_NAME

    public static final Key FIRST_NAME

  Represents the first name.

### PERSONAL_FAX

    public static final Key PERSONAL_FAX

  Represents the home fax number.

### PERSONAL_PHONE

    public static final Key PERSONAL_PHONE

  Represents the home phone number.

### JOB_TITLE

    public static final Key JOB_TITLE

  Represents the job title.

### LAST_NAME

    public static final Key LAST_NAME

  Represents the last name.

### MANAGER_NAME

    public static final Key MANAGER_NAME

  Represents the manager name.

### MIDDLE_NAME

    public static final Key MIDDLE_NAME

  Represents the middle name.

### NAME_PREFIX

    public static final Key NAME_PREFIX

  Represents the name prefix.

### NAME_SUFFIX

    public static final Key NAME_SUFFIX

  Represents the name suffix.

### OFFICE_LOCATION

    public static final Key OFFICE_LOCATION

  Represents the office location.

### PERSONAL_ADDRESS_CITY

    public static final Key PERSONAL_ADDRESS_CITY

  Represents the personal address city.

### PERSONAL_ADDRESS_COUNTRY

    public static final Key PERSONAL_ADDRESS_COUNTRY

  Represents the personal address country.

### PERSONAL_ADDRESS_STATE

    public static final Key PERSONAL_ADDRESS_STATE

  Represents the personal address state or province.

### PERSONAL_ADDRESS_STREET

    public static final Key PERSONAL_ADDRESS_STREET

  Represents the personal street address.

### PERSONAL_ADDRESS_POSTAL_CODE

    public static final Key PERSONAL_ADDRESS_POSTAL_CODE

  Represents the personal postal code.

### PERSONAL_MOBILE_PHONE

    public static final Key PERSONAL_MOBILE_PHONE

  Represents the personal mobile phone number.

### SMTP_ADDRESS

    public static final Key SMTP_ADDRESS

  Represents the smtp address.

### WEB_PAGE

    public static final Key WEB_PAGE

  Represents the web page.

Method Detail

### setAssistant

    public void setAssistant(java.lang.String sAssistant)
                      throws CollaborationException

  Sets the person's assistant.
  Parameters:
    `sAssistant` - the assistant
  Throws:
    `CollaborationException` - if there was an error setting the assistant

### getAssistant

    public java.lang.String getAssistant()
                                  throws CollaborationException

  Gets the person's assistant.
  Returns:
    the assistant
  Throws:
    `CollaborationException` - if there was an error getting the assistant
  See Also:
    `setAssistant(String)`

### setFirstName

    public void setFirstName(java.lang.String sFirstName)
                      throws CollaborationException

  Sets the person's first name.
  Parameters:
    `sFirstName` - the first name
  Throws:
    `CollaborationException` - if there was an error setting the name

### getFirstName

    public java.lang.String getFirstName()
                                  throws CollaborationException

  Gets the person's first name.
  Returns:
    the first name
  Throws:
    `CollaborationException` - if there was an error getting the name.
  See Also:
    `setFirstName(String)`

### setLastName

    public void setLastName(java.lang.String sLastName)
                     throws CollaborationException

  Sets the person's last name
  Parameters:
    `sLastName` - the last name
  Throws:
    `CollaborationException` - if there was an error setting the last name

### getLastName

    public java.lang.String getLastName()
                                 throws CollaborationException

  Gets the person's last name.
  Returns:
    the last name
  Throws:
    `CollaborationException` - if there was an error getting the last name
  See Also:
    `setLastName(String)`

### setMiddleName

    public void setMiddleName(java.lang.String sMiddleName)
                       throws CollaborationException

  Sets the person's middle name.
  Parameters:
    `sMiddleName` - the middle name
  Throws:
    `CollaborationException` - if there was an error setting the middle name

### getMiddleName

    public java.lang.String getMiddleName()
                                   throws CollaborationException

  Gets the person's middle name.
  Returns:
    the middle name
  Throws:
    `CollaborationException` - if there was an error getting the middle name
  See Also:
    `setMiddleName(String)`

### setNamePrefix

    public void setNamePrefix(java.lang.String sNamePrefix)
                       throws CollaborationException

  Sets the person's name prefix.
  Parameters:
    `sNamePrefix` - the name prefix
  Throws:
    `CollaborationException` - if there was an error setting the name prefix

### getNamePrefix

    public java.lang.String getNamePrefix()
                                   throws CollaborationException

  Gets the person's name prefix.
  Returns:
    the name prefix
  Throws:
    `CollaborationException` - if there was an error getting the name prefix
  See Also:
    `setNamePrefix(String)`

### setNameSuffix

    public void setNameSuffix(java.lang.String sNameSuffix)
                       throws CollaborationException

  Sets the person's name suffix.
  Parameters:
    `sNameSuffix` - the name suffix
  Throws:
    `CollaborationException` - if there was an error setting the name suffix

### getNameSuffix

    public java.lang.String getNameSuffix()
                                   throws CollaborationException

  Gets the person's name suffix.
  Returns:
    the name suffix
  Throws:
    `CollaborationException` - if there was an error getting the name suffix
  See Also:
    `setNameSuffix(String)`

### setJobTitle

    public void setJobTitle(java.lang.String sJobTitle)
                     throws CollaborationException

  Sets the person's job title.
  Parameters:
    `sJobTitle` - the job title
  Throws:
    `CollaborationException` - if there was an error setting the job title

### getJobTitle

    public java.lang.String getJobTitle()
                                 throws CollaborationException

  Gets the person's job title.
  Returns:
    the job title
  Throws:
    `CollaborationException` - if there was an error getting the job title
  See Also:
    `setJobTitle(String)`

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName)
                        throws CollaborationException

  Sets the person's company name.
  Parameters:
    `sCompanyName` - the company name
  Throws:
    `CollaborationException` - if there was an error setting the company name

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws CollaborationException

  Gets the person's company name.
  Returns:
    the company name
  Throws:
    `CollaborationException` - if there was an error getting the company name
  See Also:
    `setCompanyName(String)`

### setDepartmentName

    public void setDepartmentName(java.lang.String sDepartmentName)
                           throws CollaborationException

  Sets the person's department name.
  Parameters:
    `sDepartmentName` - the department name
  Throws:
    `CollaborationException` - if there was an error setting the department name

### getDepartmentName

    public java.lang.String getDepartmentName()
                                       throws CollaborationException

  Gets the person's department name.
  Returns:
    the department name
  Throws:
    `CollaborationException` - if there was an error getting the department name
  See Also:
    `setDepartmentName(String)`

### setOfficeLocation

    public void setOfficeLocation(java.lang.String sOfficeLocation)
                           throws CollaborationException

  Sets the person's office location.
  Parameters:
    `sOfficeLocation` - the office location
  Throws:
    `CollaborationException` - if there was an error setting the office location

### getOfficeLocation

    public java.lang.String getOfficeLocation()
                                       throws CollaborationException

  Gets the person's office location.
  Returns:
    the office location
  Throws:
    `CollaborationException` - if there was an error getting the office location
  See Also:
    `setOfficeLocation(String)`

### setManagerName

    public void setManagerName(java.lang.String sManagerName)
                        throws CollaborationException

  Sets the person's manager name.
  Parameters:
    `sManagerName` - the manager name
  Throws:
    `CollaborationException` - if there was an error setting the manager name

### getManagerName

    public java.lang.String getManagerName()
                                    throws CollaborationException

  Gets the person's manager name.
  Returns:
    the manager name
  Throws:
    `CollaborationException` - if there was an error getting the manager name
  See Also:
    `setManagerName(String)`

### setBusinessAddress

    public void setBusinessAddress(PostalAddress address)
                            throws CollaborationException

  Sets the person's business address.
  Parameters:
    `address` - the business address
  Throws:
    `CollaborationException` - if there was an error setting the business address

### getBusinessAddress

    public PostalAddress getBusinessAddress()
                                     throws CollaborationException

  Gets the person's business address.
  Returns:
    the business address
  Throws:
    `CollaborationException` - if there was an error getting the business address
  See Also:
    `setBusinessAddress(PostalAddress)`

### setPersonalAddress

    public void setPersonalAddress(PostalAddress address)
                            throws CollaborationException

  Sets the person's personal address.
  Parameters:
    `address` - the personal address
  Throws:
    `CollaborationException` - if there was an error setting the personal address

### getPersonalAddress

    public PostalAddress getPersonalAddress()
                                     throws CollaborationException

  Gets the person's personal address.
  Returns:
    the personal address
  Throws:
    `CollaborationException` - if there was an error getting the personal address
  See Also:
    `setPersonalAddress(PostalAddress)`

### setBusinessPhone

    public void setBusinessPhone(PhoneNumber number)
                          throws CollaborationException

  Sets the person's business phone.
  Parameters:
    `number` - the business phone
  Throws:
    `CollaborationException` - if there was an error setting the business phone

### getBusinessPhone

    public PhoneNumber getBusinessPhone()
                                 throws CollaborationException

  Gets the person's business phone.
  Returns:
    the business phone
  Throws:
    `CollaborationException` - if there was an error getting the business phone
  See Also:
    `setBusinessPhone(PhoneNumber)`

### setBusinessFax

    public void setBusinessFax(PhoneNumber number)
                        throws CollaborationException

  Sets the person's business fax.
  Parameters:
    `number` - the business fax
  Throws:
    `CollaborationException` - if there was an error setting the business fax

### getBusinessFax

    public PhoneNumber getBusinessFax()
                               throws CollaborationException

  Gets the person's business fax.
  Returns:
    the business fax
  Throws:
    `CollaborationException` - if there was an error getting the business fax
  See Also:
    `setBusinessFax(PhoneNumber)`

### setHomePhone

    public void setHomePhone(PhoneNumber number)
                      throws CollaborationException

  Sets the person's home phone.
  Parameters:
    `number` - the home phone
  Throws:
    `CollaborationException` - if there was an error setting the home phone

### getHomePhone

    public PhoneNumber getHomePhone()
                             throws CollaborationException

  Gets the person's home phone.
  Returns:
    the home phone
  Throws:
    `CollaborationException` - if there was an error getting the home phone
  See Also:
    `setHomePhone(PhoneNumber)`

### setHomeFax

    public void setHomeFax(PhoneNumber number)
                    throws CollaborationException

  Sets the person's home fax.
  Parameters:
    `number` - the home fax
  Throws:
    `CollaborationException` - if there was an error setting the home fax

### getHomeFax

    public PhoneNumber getHomeFax()
                           throws CollaborationException

  Gets the person's home fax.
  Returns:
    the home fax
  Throws:
    `CollaborationException` - if there was an error getting the home fax
  See Also:
    `setHomeFax(PhoneNumber)`

### setBusinessPager

    public void setBusinessPager(PhoneNumber number)
                          throws CollaborationException

  Sets the person's business pager.
  Parameters:
    `number` - the business pager
  Throws:
    `CollaborationException` - if there was an error setting the business pager

### getBusinessPager

    public PhoneNumber getBusinessPager()
                                 throws CollaborationException

  Gets the person's business pager.
  Returns:
    the business pager
  Throws:
    `CollaborationException` - if there was an error getting the business pager
  See Also:
    `setBusinessPager(PhoneNumber)`

### setPersonalMobilePhone

    public void setPersonalMobilePhone(PhoneNumber number)
                                throws CollaborationException

  Sets the person's personal mobile phone.
  Parameters:
    `number` - the personal mobile phone
  Throws:
    `CollaborationException` - if there was an error setting the personal mobile phone

### getPersonalMobilePhone

    public PhoneNumber getPersonalMobilePhone()
                                       throws CollaborationException

  Gets the person's personal mobile phone.
  Returns:
    the personal mobile phone
  Throws:
    `CollaborationException` - if there was an error getting the personal mobile phone
  See Also:
    `setPersonalMobilePhone(PhoneNumber)`

### setDisplayName

    public void setDisplayName(java.lang.String sDisplayName)
                        throws CollaborationException

  Sets the person's display name.
  Parameters:
    `sDisplayName` - the display name
  Throws:
    `CollaborationException` - if there was an error setting the display name

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws CollaborationException

  Gets the person's display name.
  Returns:
    the display name
  Throws:
    `CollaborationException` - if there was an error getting the display name
  See Also:
    `setDisplayName(String)`

### setWebPage

    public void setWebPage(java.lang.String sWebPage)
                    throws CollaborationException

  Sets the person's web page.
  Parameters:
    `sWebPage` - the web page
  Throws:
    `CollaborationException` - if there was an error setting the web page

### getWebPage

    public java.lang.String getWebPage()
                                throws CollaborationException

  Gets the person's web page.
  Returns:
    the web page
  Throws:
    `CollaborationException` - if there was an error getting the web page
  See Also:
    `setWebPage(String)`

### setSmtpAddress

    public void setSmtpAddress(java.lang.String sSmtpAddress)
                        throws CollaborationException

  Sets the person's SMTP address.
  Parameters:
    `sSmtpAddress` - the SMTP address
  Throws:
    `CollaborationException` - if there was an error setting the SMTP address

### getSmtpAddress

    public java.lang.String getSmtpAddress()
                                    throws CollaborationException

  Gets the person's SMTP address.
  Returns:
    the SMTP address
  Throws:
    `CollaborationException` - if there was an error getting the SMTP address
  See Also:
    `setSmtpAddress(String)`

### setName

    public void setName(java.lang.String sPrefix,
                        java.lang.String sFirstName,
                        java.lang.String sMiddleName,
                        java.lang.String sLastName,
                        java.lang.String sSuffix)
                 throws CollaborationException

  Sets the full name, display name and file as property for the contact. This method may be used in place of setNamePrefix(), setFirstName(), setMiddleName(), setLastName(), setNameSuffix() and setDisplayName() to conveniently initialize these to the correct values for the contact's name. The properties are set as follows:
  Parameters:
    `sPrefix` - the prefix (for example, Mr., Mrs. or Dr.) (may be `null`)
    `sFirstName` - the first name for the contact (may be `null`)
    `sMiddleName` - the middle name for the contact (may be `null`)
    `sLastName` - the last name for the contact (may be `null`)
    `sSuffix` - the generation (for example, Jr., Sr, or Esq.) (may be `null`)
  Throws:
    `CollaborationException` - if there was an error setting the display name
  See Also:
    `setNamePrefix(String)`, `setFirstName(String)`, `setMiddleName(String)`, `setLastName(String)`, `setNameSuffix(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.